Bug 817431 - [abrt] evolution-data-server-3.4.1-2.fc17: ews_cal_modify_object_cb: Process /usr/libexec/evolution-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.4.1-2.fc17: ews_cal_modify_object_cb: Process ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:f58b40b5d432aaae5105cbb0f6b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 21:07 EDT by Louis van Dyk
Modified: 2012-07-27 01:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 05:23:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.62 KB, text/plain)
2012-04-29 21:07 EDT, Louis van Dyk
no flags Details
File: maps (43.64 KB, text/plain)
2012-04-29 21:07 EDT, Louis van Dyk
no flags Details
File: dso_list (9.06 KB, text/plain)
2012-04-29 21:07 EDT, Louis van Dyk
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 675285 None None None Never

  None (edit)
Description Louis van Dyk 2012-04-29 21:07:42 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
comment:        I opened Evolution, and the calendar (via EWS) synced with Exchange 2010. I created an entry in the Evolution interface. It appeared in the Exchange calendar. I deleted the entry in the Exchange calendar via the Outlook Web Interface. HOWEVER: the entry did NOT delete out of Evolution's interface. In Evolution, I tried to drag the deleted-in-Outlook-but-still-showing-in-Evolution entry to a later hour of the day.  The calendar-factory crashed.
crash_function: ews_cal_modify_object_cb
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.3.4-1.fc17.x86_64
pid:            9461
pwd:            /
time:           Mon 30 Apr 2012 02:00:06 AM SAST
uid:            1000
username:       louis
xsession_errors: 

backtrace:      Text file, 31357 bytes
dso_list:       Text file, 9279 bytes
maps:           Text file, 44692 bytes

build_ids:
:c78e74dad13b72dfad107a962ca2071b5d5ad8c8
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:4f3a14f3c661a0a2a35cbc78c1c1506091c092a9
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572
:de022a6c73534bb11f7963ef6434df0a99705ccb
:7526b18a7f20d70c1262bbd00d0269eeb5c379a7
:10818e21ba84b6897ec8d7ed3db9e94c71a12e41
:350920b52e92655cdb258fa5f96fe7004ad07a52
:67792c148d2b8f13f6732c9367e926c26d7376c5
:7daa21f309756eb7bf9be097b98052d5179d4599
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:822e9b3523e8312240f41a25722d539bc77ed436
:de52fc4190e05ca9cd18c0c403d9fe85cab2fb99
:5da8d295014010dcaf44014dbeb291b3026af3e7
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:8032681acfadb3c8b9e0a6e74cd58d8c36363450
:6e4122602d170ea6392003c567ac48bacdcb5e7b
:11d196ee9220c6039404f4ba675abf3a24d8f0aa
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:731b3801f71de6bd888953161b715e6cbda0ab60
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:0cb94fee913ddeaaa81390d3e39d4750ae6620b5
:09c6963d624a7da0d50b10831762d2b5b0c95c70
:6ec94e3467955ff9b3903918eafeddd8de7f9286
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:d2f6b6a2125b0c360462ce6b6b7de8144e351da1
:53e26edf2fc98f4dab11b4fe9b0a2040be54c1f4
:749e0a5146f31516ca770a4c702ab89706b4f0a6
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:c1b1c7d73bf3b09830961280f34c9b5bcb36d137
:a7bc27f418bbacc240181eb0294dd00f36650d94
:253afe744466fe7580bbb6040de6183dba9e2b02
:9c77050b1d7b6d07f27acc270f7c9d93918d305e
:6eff730cced84041ae9cdf8a93c37fc6afcf2c6c
:c31990506eb5651de12f2a715f16f944fba1cd12
:a48a153ef63aaf23e1349196f0ca185bcf42397e
:08deea6f28314f7b1bbba69e81a25b9e48647b5f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:904362a4a9286a24a4c21e319bd88a154eb6e651
:8f7c190397d7c1f617e66f18f759714662b60367
:2d920fc18d5d62c399484534249b104e12049777
:30e315a1c7327aaffd273a717f82fb7274940f38
:60d70ee1900bad08a21b2868ad6c89150d6b4fab
:c7208a0699747d12af5b7ac1cdbc66ceaa03f779
:faca16f15d87b83d2947a386e319b02f724dcbb5
:647c8183274c4626c81e86e7a631a81782a04e65
:8a58512c2cc89530f70932553442289158de3083
:ab9af0d6917679640626d76204213ded655036c6
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:ba23f0dc1dd38b1c47110e7a7bd8631427bbcb50
:cbb8a8e0998ebc35f3394e942b5bf90d19d90fc5
:70f10a584fcf32ef4994cc1bc209964515ad49c9
:a6a0a700385259f7ea2c4650dcf23e8367a8ef67
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:4ce5d237811776cdfcb3a7e533e6772bf24eb925
:57daf604bef735ab18319f0436edd52ce4488a17
:404cbecd24d186758ed474b345313da28b2990fa
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:7c35310fc506498c612d5d982ab03becc4b4817c
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:0bafa291c5de1f2e2cfdd50c9b944d89587c4b00
:247132297f287226a24c12e683292f5c94013066
:20ad9f242a6a13d40812f9254ab3f7a9cd7cb9e0
:9996d774b0b770e2ff703c6567075b18e3c3d9fc
:8568e11bef79abaf14513d18a8559282d8dad34a
:5cb52239c901fea9e4e3ba272e477c145de9fd04
:664ed02205756e404bd2c47242bfa068fe47d85d
:adb8cce623092da5c6812cf4e20b6f97e3ebd5b1
:480ab8eb1776770bb90f2a47cc2f0258848f1cdd
:b277af36744327e3d58eae76bcdaadcca71a28c6
:cc6ddca378f2a9b794df14716bb32824af47b0b8
:3c0f13a2e8cce72d390526b393c127243388f47a
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:06d18cd846f16444795d6939117459ee226ef0b1
:508cf66f72e70054a41215f80ed2385c6bb80030
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:2a34337df68bcebcf471d5e3362ac137ffea4527
:8f1c8e7a9290087a1de608de917e41455f885af0
:5f038f3fb1b1571769e7c9b79e025fe328052950
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:6f2ff4e6a028c4518c441caeb0f433bea79ac545
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/louis/4

core_backtrace:
:53e26edf2fc98f4dab11b4fe9b0a2040be54c1f4 0xb61c - libecalbackendews.so -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6ce47 g_simple_async_result_complete libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6cf49 - libgio-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:c7208a0699747d12af5b7ac1cdbc66ceaa03f779 0x1569 - [exe] -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-QWMBdo2DQr,guid=50245eb09fd57670c598d8dc0000008f
:XDG_RUNTIME_DIR=/run/user/louis
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/louis/keyring-xVsnSK/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1445,unix/unix:/tmp/.ICE-unix/1445
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:XDG_VTNR=2
:USERNAME=louis
:GDMSESSION=gnome
:XDG_SESSION_ID=4
:GPG_AGENT_INFO=/run/user/louis/keyring-xVsnSK/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QWMBdo2DQr,guid=50245eb09fd57670c598d8dc0000008f
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-louis-8BK4nk/database
:USER=louis
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1443
:SHLVL=1
:PWD=/home/louis
:GNOME_KEYRING_CONTROL=/run/user/louis/keyring-xVsnSK
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=louis
:HOME=/home/louis

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 11631                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       11631                11631                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[32619]
:pos:	0
:flags:	04002
:7:socket:[32620]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[32683]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[32688]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:/dev/urandom
:pos:	0
:flags:	02100000
:15:socket:[32647]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: f38856a6-6a7c-4fb3-a22f-a507dff15b48
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5197.52
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5300  @ 2.60GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 1
:CPU Speed: 2598
:System Memory: 1473
:System Swap: 1983
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.3.4-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4203:63:0:0) pci, ohci_hcd, USB, KeyLargo/Intrepid USB
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(33006:51966:0:0) pci, None, BASE, VirtualBox Guest Service
:(32902:9820:0:0) pci, ehci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller
:(32902:4663:0:0) pci, None, HOST/PCI, 440FX - 82441FX PMC [Natoma]
:(32902:9237:32902:0) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801AA AC'97 Audio Controller
:(32902:28945:0:0) pci, ata_piix, STORAGE, 82371AB/EB/MB PIIX4 IDE
:(32902:28672:0:0) pci, None, PCI/ISA, 82371SB PIIX3 ISA [Natoma/Triton II]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_f17-lv_root / ext4 4096 4096 4588278 3259498 3029303 1152816 959516 959516
:/dev/sda2 /boot ext4 1024 1024 508745 410810 385210 128016 127786 127786
:/dev/sr0 WITHHELD iso9660 2048 2048 24795 0 0 0 0 0
:

var_log_messages:
:Apr 30 01:39:58 f17 abrt[6325]: Saved core dump of pid 1799 (/usr/libexec/evolution-calendar-factory) to /var/spool/abrt/ccpp-2012-04-30-01:39:56-1799 (156823552 bytes)
:Apr 30 02:00:09 f17 abrt[9503]: Saved core dump of pid 9461 (/usr/libexec/evolution-calendar-factory) to /var/spool/abrt/ccpp-2012-04-30-02:00:06-9461 (156598272 bytes)
Comment 1 Louis van Dyk 2012-04-29 21:07:49 EDT
Created attachment 581113 [details]
File: backtrace
Comment 2 Louis van Dyk 2012-04-29 21:07:54 EDT
Created attachment 581114 [details]
File: maps
Comment 3 Louis van Dyk 2012-04-29 21:07:57 EDT
Created attachment 581115 [details]
File: dso_list
Comment 4 Milan Crha 2012-05-02 05:23:43 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=675285
Comment 5 Mikhail 2012-07-26 10:28:07 EDT
Oops crashed today:

warning: core file may not match specified executable file.
[New LWP 1432]
[New LWP 15882]
[New LWP 1456]
[New LWP 1506]
[New LWP 1518]
[New LWP 15883]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/libexec/evolution-calendar-factory'.
Program terminated with signal 11, Segmentation fault.
#0  0xb592cc8e in ews_cal_modify_object_cb (object=0x99abaa0, res=0xb4f1b6f0, user_data=0xb4f29f38) at e-cal-backend-ews.c:1762
1762				icalproperty_set_value_from_string (icalprop, item_id->change_key, "NO");

Thread 6 (Thread 0xb58e5b40 (LWP 15883)):
#0  clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:111
No locals.
#1  0x003d0f00 in ?? ()
No symbol table info available.
#2  0x00000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 0xb1cfab40 (LWP 1518)):
#0  next_valid_source (source=0x0, context=0x99c1f70) at gmain.c:2580
        new_source = 0x99c13a0
#1  g_main_context_check (context=context@entry=0x99c1f70, max_priority=0, fds=fds@entry=0xb451c608, n_fds=n_fds@entry=1) at gmain.c:3002
        source = <optimized out>
        pollrec = 0x0
        n_ready = 0
        i = <optimized out>
#2  0x41554272 in g_main_context_iterate (context=0x99c1f70, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3143
        max_priority = 0
        timeout = 0
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0xb451c608
#3  0x415547c3 in g_main_loop_run (loop=0x99c17f8) at gmain.c:3340
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0xb59007b1 in e_ews_soup_thread (user_data=0x99abaa0) at e-ews-connection.c:1140
        cnc = 0x99abaa0
#5  0x415792c4 in g_thread_proxy (data=0x99ae800) at gthread.c:801
        thread = 0x99ae800
#6  0x4147cadf in start_thread (arg=0xb1cfab40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0xb1cfab40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1095290868, 0, 4001536, -1311792152, -1468414773, -1196780758}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x413b754e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 4 (Thread 0xb4effb40 (LWP 1506)):
#0  0xb77d9424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x413ad034 in __GI___poll (fds=fds@entry=0xb4502398, nfds=nfds@entry=3, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = -516
        result = <optimized out>
#2  0x41562e5c in g_poll (fds=0xb4502398, nfds=3, timeout=-1) at gpoll.c:132
No locals.
#3  0x415542e0 in g_main_context_poll (n_fds=3, fds=0xb4502398, timeout=<optimized out>, context=0xb4f08388, priority=<optimized out>) at gmain.c:3440
        poll_func = <optimized out>
#4  g_main_context_iterate (context=0xb4f08388, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 3
        allocated_nfds = <optimized out>
        fds = 0xb4502398
#5  0x415547c3 in g_main_loop_run (loop=0xb4f08378) at gmain.c:3340
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#6  0x4190cc1b in gdbus_shared_thread_func (user_data=0xb4f092c8) at gdbusprivate.c:277
        data = 0xb4f092c8
#7  0x415792c4 in g_thread_proxy (data=0xb4f02720) at gthread.c:801
        thread = 0xb4f02720
#8  0x4147cadf in start_thread (arg=0xb4effb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0xb4effb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1095290868, 0, 4001536, -1259342872, -388381503, -1196780758}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#9  0x413b754e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 3 (Thread 0xb744bb40 (LWP 1456)):
#0  0xb77d9424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x413ad034 in __GI___poll (fds=fds@entry=0xb6b00468, nfds=nfds@entry=1, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = -516
        result = <optimized out>
#2  0x41562e5c in g_poll (fds=0xb6b00468, nfds=1, timeout=-1) at gpoll.c:132
No locals.
#3  0x415542e0 in g_main_context_poll (n_fds=1, fds=0xb6b00468, timeout=<optimized out>, context=0x995f9a0, priority=<optimized out>) at gmain.c:3440
        poll_func = <optimized out>
#4  g_main_context_iterate (context=context@entry=0x995f9a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0xb6b00468
#5  0x41554442 in g_main_context_iteration (context=0x995f9a0, may_block=may_block@entry=1) at gmain.c:3207
        retval = <optimized out>
#6  0x415544b6 in glib_worker_main (data=0x0) at gmain.c:4879
No locals.
#7  0x415792c4 in g_thread_proxy (data=0x995e830) at gthread.c:801
        thread = 0x995e830
#8  0x4147cadf in start_thread (arg=0xb744bb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0xb744bb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1095290868, 0, 4001536, -1220234264, -1101413178, -1196780758}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#9  0x413b754e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 2 (Thread 0xb3cfeb40 (LWP 15882)):
#0  0xb77d9424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x414804d4 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:238
No locals.
#2  0x41595791 in g_cond_wait_until (cond=cond@entry=0x996dc08, mutex=mutex@entry=0x996dc00, end_time=101409926629) at gthread-posix.c:855
        ts = {tv_sec = 101409, tv_nsec = 926629000}
        status = <optimized out>
#3  0x415274a1 in g_async_queue_pop_intern_unlocked (queue=queue@entry=0x996dc00, wait=wait@entry=1, end_time=101409926629) at gasyncqueue.c:424
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#4  0x41527cef in g_async_queue_timeout_pop (queue=0x996dc00, timeout=10000000) at gasyncqueue.c:545
        end_time = <optimized out>
        retval = <optimized out>
#5  0x41579caf in g_thread_pool_wait_for_new_pool () at gthreadpool.c:169
        pool = <optimized out>
        local_max_idle_time = 10000
        local_wakeup_thread_serial = <optimized out>
        local_max_unused_threads = 2
        last_wakeup_thread_serial = 0
        have_relayed_thread_marker = 0
#6  g_thread_pool_thread_proxy (data=0x9971050) at gthreadpool.c:366
        free_pool = <optimized out>
        task = 0x2710
        pool = <optimized out>
#7  0x415792c4 in g_thread_proxy (data=0xb4f02a60) at gthread.c:801
        thread = 0xb4f02a60
#8  0x4147cadf in start_thread (arg=0xb3cfeb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0xb3cfeb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1095290868, 0, 4001536, -1278221336, -1460026161, -1196780758}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#9  0x413b754e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 1 (Thread 0xb77b6740 (LWP 1432)):
#0  0xb592cc8e in ews_cal_modify_object_cb (object=0x99abaa0, res=0xb4f1b6f0, user_data=0xb4f29f38) at e-cal-backend-ews.c:1762
        cnc = <optimized out>
        modify_data = 0xb4f29f38
        cbews = 0xb4503960
        priv = 0x99a91b0
        error = 0x0
        ids = 0xb451c280
        item_id = 0x0
        icalprop = 0xb4f29d50
        icalcomp = <optimized out>
        id = 0x0
        x_name = <optimized out>
#1  0x418a3975 in g_simple_async_result_complete (simple=simple@entry=0xb4f1b6f0) at gsimpleasyncresult.c:767
        current_source = 0xb4556fc0
        current_context = <optimized out>
        __PRETTY_FUNCTION__ = "g_simple_async_result_complete"
#2  0x418a3a9c in complete_in_idle_cb (data=data@entry=0xb4f1b6f0) at gsimpleasyncresult.c:779
        simple = 0xb4f1b6f0
#3  0x41551a01 in g_idle_dispatch (source=source@entry=0xb4556fc0, callback=0x418a3a80 <complete_in_idle_cb>, user_data=0xb4f1b6f0) at gmain.c:4657
No locals.
#4  0x41553fbb in g_main_dispatch (context=0x995f858) at gmain.c:2539
        dispatch = 0x415519e0 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0xb4f1b6f0
        callback = 0x418a3a80 <complete_in_idle_cb>
        cb_funcs = 0x416344b8
        cb_data = 0xb451ebf0
        current_source_link = {data = 0xb4556fc0, next = 0x0}
        need_destroy = <optimized out>
        source = 0xb4556fc0
        current = 0x9969a10
        i = <optimized out>
#5  g_main_context_dispatch (context=context@entry=0x995f858) at gmain.c:3075
No locals.
#6  0x41554360 in g_main_context_iterate (context=0x995f858, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
        max_priority = 2147483647
        timeout = 78932
        some_ready = 1
        nfds = 3
        allocated_nfds = <optimized out>
        fds = <optimized out>
#7  0x415547c3 in g_main_loop_run (loop=0x995e6e0) at gmain.c:3340
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#8  0x410df2e6 in e_dbus_server_run (server=server@entry=0x995f010, wait_for_client=0) at e-dbus-server.c:253
        class = 0x995e700
        __PRETTY_FUNCTION__ = "e_dbus_server_run"
#9  0x080490b2 in main (argc=1, argv=0xbf8dc3b4) at evolution-calendar-factory.c:149
        context = <optimized out>
        server = 0x995f010
        error = 0x0
From        To          Syms Read   Shared Object Library
0x411886d0  0x411ab954  Yes         /lib/libedata-cal-1.2.so.15
0x41127200  0x4115fd64  Yes         /lib/libecal-1.2.so.11
0x410dd5c0  0x410e3674  Yes         /lib/libebackend-1.2.so.2
0x4100cf00  0x41034804  Yes         /lib/libedataserver-1.2.so.16
0x42c5ca00  0x42ce1de4  Yes         /lib/libsqlite3.so.0
0x430f32f0  0x4322f2b4  Yes         /lib/libdb-4.8.so
0x416d1c80  0x416d2d7c  Yes         /lib/libgmodule-2.0.so.0
0x42fdbec0  0x43018b84  Yes         /lib/libsoup-2.4.so.1
0x4185f710  0x41932e64  Yes         /lib/libgio-2.0.so.0
0x42edeed0  0x42f0d7ac  Yes         /lib/libical.so.0
0x41cb5cd0  0x41cc021c  Yes         /lib/libicalss.so.0
0x41d78b70  0x41d7f994  Yes         /lib/libicalvcal.so.0
0x41a1ce00  0x41b07e40  Yes         /lib/libxml2.so.2
0x4fde0690  0x4fdf9bf4  Yes         /lib/libgconf-2.so.4
0x4fd545c0  0x4fd681d8  Yes         /lib/libdbus-glib-1.so.2
0x419ae710  0x419dd958  Yes         /lib/libdbus-1.so.3
0x4149a920  0x4149e45c  Yes         /lib/librt.so.1
0x4165eb10  0x41690124  Yes         /lib/libgobject-2.0.so.0
0x41521b50  0x415c1864  Yes         /lib/libglib-2.0.so.0
0x42bf4290  0x42c05144  Yes         /lib/libsasl2.so.2
0x42d0f000  0x42d466f4  Yes         /lib/libssl.so.10
0x42919f80  0x42a03544  Yes         /lib/libcrypto.so.10
0x4265baa0  0x426820f4  Yes         /lib/libssl3.so
0x42861ec0  0x4287c964  Yes         /lib/libsmime3.so
0x427274f0  0x4281d2c0  Yes         /lib/libnss3.so
0x425ae9c0  0x425ba934  Yes         /lib/libnssutil3.so
0x41fedb40  0x41feec14  Yes         /lib/libplds4.so
0x41ff4ed0  0x41ff6968  Yes         /lib/libplc4.so
0x42004990  0x42028564  Yes         /lib/libnspr4.so
0x4147a6a0  0x41485e60  Yes         /lib/libpthread.so.0
0x41492ad0  0x41493aec  Yes         /lib/libdl.so.2
0x412dcf20  0x4141a1cc  Yes         /lib/libc.so.6
0x416524b0  0x41652698  Yes         /lib/libgthread-2.0.so.0
0x416a9090  0x416ac794  Yes         /lib/libffi.so.5
0x414d26e0  0x414df9cc  Yes         /lib/libz.so.1
0x414ed8e0  0x414ffd94  Yes         /lib/libselinux.so.1
0x416396b0  0x41648414  Yes         /lib/libresolv.so.2
0x414a8470  0x414c2678  Yes         /lib/libm.so.6
0x412a3850  0x412bbec7  Yes         /lib/ld-linux.so.2
0x420b49c0  0x420b9c7c  Yes         /lib/libcrypt.so.1
0x42a8de90  0x42abe434  Yes         /lib/libgssapi_krb5.so.2
0x42ae9af0  0x42b6cde4  Yes         /lib/libkrb5.so.3
0x425a2f20  0x425a3ca4  Yes         /lib/libcom_err.so.2
0x42bbdb40  0x42bd8224  Yes         /lib/libk5crypto.so.3
0x42063b00  0x42097774  Yes         /lib/libfreebl3.so
0x42accee0  0x42ad2724  Yes         /lib/libkrb5support.so.0
0x42a81d30  0x42a82a7c  Yes         /lib/libkeyutils.so.1
0x416b4020  0x416cab54  Yes         /lib/libgcc_s.so.1
0xb7465e70  0xb746bde4  Yes         /lib/libnss_compat.so.2
0x42d67190  0x42d75b84  Yes         /lib/libnsl.so.1
0xb745a9a0  0xb74611b0  Yes         /lib/libnss_nis.so.2
0xb744da40  0xb7454e7c  Yes         /lib/libnss_files.so.2
0xb77d0320  0xb77d3acc  Yes         /usr/lib/evolution-data-server/calendar-backends/libecalbackendhttp.so
0xb7474430  0xb747f1fc  Yes         /usr/lib/evolution-data-server/calendar-backends/libecalbackendcaldav.so
0xb6c3e580  0xb6c46dbc  Yes         /usr/lib/evolution-data-server/calendar-backends/libecalbackendmapi.so
0xb6abc300  0xb6af0044  Yes         /lib/libexchangemapi-1.0.so.0
0x41057840  0x4107ed24  Yes         /lib/libebook-1.2.so.13
0xb695d190  0xb6a42dc4  Yes         /lib/libmapi-openchange.so.0
0x4ff211d0  0x4ff3d314  Yes         /lib/libdcerpc.so.0
0x41f82290  0x41f8f354  Yes         /lib/libdcerpc-binding.so.0
0xb6c12710  0xb6c1d404  Yes         /lib/libndr.so.0
0xb690e000  0xb6926eb4  Yes         /lib/libsamba-util.so.0
0xb68fa670  0xb6900544  Yes         /lib/libtevent.so.0
0x417129f0  0x41718c10  Yes         /lib/libtalloc.so.2
0x43603090  0x436a3814  Yes         /lib/libcamel-1.2.so.33
0xb68e1740  0xb68edba4  Yes         /lib/libsamba-hostconfig.so.0
0xb68ce040  0xb68d5564  Yes         /lib/libsamba-credentials.so.0
0xb6899490  0xb68ba594  Yes         /lib/libldb.so.1
0x41ec4000  0x41ec9864  Yes         /usr/lib/samba/libcli-nbt.so
0x4feead50  0x4ff08ce4  Yes         /lib/libsmbclient-raw.so.0
0xb77c98c0  0xb77c9ec8  Yes         /lib/libtevent-util.so.0
0x41fce710  0x41fcebe4  Yes         /usr/lib/samba/libcluster.so
0xb77c5c10  0xb77c6614  Yes         /usr/lib/samba/libUTIL_TDB.so
0xb67d6390  0xb6864d94  Yes         /usr/lib/samba/libndr-samba.so
0x416e8900  0x416f3cb4  Yes         /usr/lib/samba/libcliauth.so
0xb676e6d0  0xb676ee50  Yes         /usr/lib/samba/liberrors.so
0x42296590  0x4233bfb4  Yes         /usr/lib/samba/libndr-samba4.so
0xb674ece0  0xb675c004  Yes         /lib/libndr-nbt.so.0
0xb67296e0  0xb673cf14  Yes         /lib/libgensec.so.0
0xb670d9b0  0xb671aab4  Yes         /usr/lib/samba/libsecurity.so
0xb6c070a0  0xb6c09fc4  Yes         /usr/lib/samba/libcli_cldap.so
0xb6c02930  0xb6c02df0  Yes         /usr/lib/samba/libtdb-wrap.so
0x42123100  0x421e8bf4  Yes         /usr/lib/samba/libdcerpc-samba.so
0xb66f2780  0xb66ff474  Yes         /usr/lib/samba/libsamba-sockets.so
0xb66da740  0xb66e6c74  Yes         /usr/lib/samba/libcli_smb_common.so
0xb66cb450  0xb66d0e40  Yes         /usr/lib/samba/libauthkrb5.so
0xb63ece90  0xb662990c  Yes         /lib/libndr-standard.so.0
0x41fd68c0  0x41fdd934  Yes         /usr/lib/samba/libcli-ldap.so
0xb63b6a00  0xb63be970  Yes         /lib/libbsd.so.0
0xb63b25f0  0xb63b2a38  Yes         /usr/lib/samba/libserver-role.so
0xb6398eb0  0xb63a6534  Yes         /usr/lib/samba/libsamdb-common.so
0xb636b6a0  0xb638c0b4  Yes         /usr/lib/samba/libgssapi-samba4.so.2
0x41e9efe0  0x41eb2514  Yes         /usr/lib/samba/libldbsamba.so
0xb6308090  0xb634a944  Yes         /usr/lib/samba/libkrb5-samba4.so.26
0x42deadb0  0x42df5d04  Yes         /lib/libtdb.so.1
0x4fe5a920  0x4fe930d4  Yes         /usr/lib/samba/liblibsmb.so
0xb62f0530  0xb62f2c90  Yes         /usr/lib/samba/libasn1util.so
0xb62e6470  0xb62eabfc  Yes         /lib/libndr-krb5pac.so.0
0xb62e0a00  0xb62e12fc  Yes         /usr/lib/samba/libsamba-modules.so
0xb62cfcf0  0xb62d9014  Yes         /lib/libsamdb.so.0
0xb62c5420  0xb62c8c34  Yes         /usr/lib/samba/libcli-ldap-common.so
0x416df9c0  0x416e09ec  Yes         /usr/lib/samba/libauth_sam_reply.so
0x41733f30  0x41790ad0  Yes         /usr/lib/samba/libasn1-samba4.so.8
0x41f75dd0  0x41f772d4  Yes         /usr/lib/samba/libnetif.so
0xb62b8860  0xb62bf3c4  Yes         /usr/lib/samba/libroken-samba4.so.19
0x4170b5f0  0x4170b928  Yes         /usr/lib/samba/libflag_mapping.so
0xb62857c0  0xb62a5bc4  Yes         /usr/lib/samba/libhcrypto-samba4.so.5
0xb627bbb0  0xb627ccfc  Yes         /usr/lib/samba/libheimbase-samba4.so.1
0xb6240200  0xb6269c94  Yes         /usr/lib/samba/libhx509-samba4.so.5
0xb620cad0  0xb620e26c  Yes         /usr/lib/samba/libwind-samba4.so.0
0xb6208920  0xb6208ea0  Yes         /usr/lib/samba/libreplace.so
0x41f047c0  0x41f0bdf4  Yes         /usr/lib/samba/libwbclient.so.0
0x4feb7e90  0x4fed14e4  Yes         /usr/lib/samba/libgse.so
0xb6204ee0  0xb620563c  Yes         /usr/lib/samba/libutil_cmdline.so
0xb61fe560  0xb6200564  Yes         /usr/lib/samba/libutil_str.so
0xb619de00  0xb61d78b4  Yes         /lib/libsmbconf.so.0
0xb6184a20  0xb618518c  Yes         /usr/lib/samba/libutil_sec.so
0xb616ce00  0xb6178964  Yes         /usr/lib/samba/libsmbregistry.so
0xb6164b00  0xb6165734  Yes         /usr/lib/samba/libCHARSET3.so
0xb61607a0  0xb6160f64  Yes         /usr/lib/samba/libinterfaces.so
0xb615ca60  0xb615d834  Yes         /usr/lib/samba/libwinbind-client.so
0xb6153640  0xb6157674  Yes         /usr/lib/samba/libsecrets3.so
0x4fd90880  0x4fdc5264  Yes         /lib/libldap-2.4.so.2
0x417059b0  0x41706498  Yes         /usr/lib/samba/libmemcache.so
0xb614e680  0xb614e9c4  Yes         /usr/lib/samba/libutil_malloc.so
0xb614b600  0xb614b848  Yes         /usr/lib/samba/libstring_init.so
0xb6145320  0xb6147a74  Yes         /usr/lib/samba/libdbwrap.so
0xb61416f0  0xb6141a3c  Yes         /usr/lib/samba/libutil_reg.so
0xb613e590  0xb613e8a0  Yes         /usr/lib/samba/libsmbd_shim.so
0xb6138cc0  0xb613ad34  Yes         /usr/lib/samba/libtdb_compat.so
0x416d8e40  0x416da9ec  Yes         /lib/libcap.so.2
0x4fd77780  0x4fd7f2a4  Yes         /lib/liblber-2.4.so.2
0x416fe800  0x416ff884  Yes         /usr/lib/samba/libadt_tree.so
0x42be9e70  0x42bec404  Yes         /lib/libattr.so.1
0xb6121ea0  0xb6132528  Yes         /usr/lib/evolution-data-server/calendar-backends/libecalbackendexchange.so
0xb6c36c20  0xb6c381d0  Yes         /usr/lib/evolution-exchange/3.4/libevolution-exchange-shared.so
0x410f1460  0x411031a8  Yes         /usr/lib/evolution-exchange/3.4/libexchange-storage.so
0x4120b200  0x41256d74  Yes         /usr/lib/evolution-exchange/3.4/libexchange.so.0
0x41fe5850  0x41fe75d4  Yes         /usr/lib/evolution-exchange/3.4/libxntlm.so.0
0x410a2fa0  0x410c8f44  Yes         /lib/libedataserverui-3.0.so.1
0x411cbec0  0x411e76c4  Yes         /lib/libedata-book-1.2.so.13
0xb60dea60  0xb60f8f14  Yes         /usr/lib/evolution/3.4/libeutil.so
0x42e196c0  0x42e33a4c  Yes         /lib/libgtkhtml-editor-4.0.so.0
0x43287b90  0x433055e4  Yes         /lib/libgtkhtml-4.0.so.0
0xb5c6d2a0  0xb5f55424  Yes         /lib/libgtk-3.so.0
0x4515e290  0x45163ce4  Yes         /lib/libenchant.so.1
0x426a5180  0x426ecc04  Yes         /lib/libgdk-3.so.0
0x41db76a0  0x41dc4ed0  Yes         /lib/libatk-1.0.so.0
0x41dd7630  0x41ddcc94  Yes         /lib/libpangocairo-1.0.so.0
0xb5bf8cc0  0xb5c0fcb4  Yes         /lib/libgdk_pixbuf-2.0.so.0
0x425cbae0  0x425ccd0c  Yes         /lib/libcairo-gobject.so.2
0x41df32a0  0x41e15ab4  Yes         /lib/libpango-1.0.so.0
0xb5b43250  0xb5bcaf04  Yes         /lib/libcairo.so.2
0x42db5a30  0x42dc94b4  Yes         /lib/libgnome-keyring.so.0
0x4727a970  0x47290370  Yes         /lib/libgoa-1.0.so.0
0xb6c2c860  0xb6c311a4  Yes         /usr/lib/evolution/3.4/libevolution-utils.so
0x42c21fc0  0x42c26754  Yes         /lib/libgailutil-3.so.0
0x43553910  0x435691d4  Yes         /lib/libgnome-desktop-3.so.2
0xb5a17410  0xb5aa6984  Yes         /lib/libX11.so.6
0x41c978f0  0x41ca1f24  Yes         /lib/libXi.so.6
0x41ca8f70  0x41cab3cc  Yes         /lib/libXfixes.so.3
0x41e3a4c0  0x41e58df0  Yes         /lib/libpangoft2-1.0.so.0
0x41c230e0  0x41c3e7d4  Yes         /lib/libfontconfig.so.1
0x41997880  0x419a2154  Yes         /lib/libXext.so.6
0x41c56810  0x41c57254  Yes         /lib/libXinerama.so.1
0x41c8c1e0  0x41c909dc  Yes         /lib/libXrandr.so.2
0x41da5f60  0x41dab484  Yes         /lib/libXcursor.so.1
0x41de3910  0x41de43bc  Yes         /lib/libXcomposite.so.1
0x41d9e850  0x41d9f214  Yes         /lib/libXdamage.so.1
0x41b59610  0x41bc8674  Yes         /lib/libfreetype.so.6
0x41c5fd60  0x41c7ec64  Yes         /lib/libpng15.so.15
0xb596d650  0xb59f0414  Yes         /lib/libpixman-1.so.0
0x419f63c0  0x419fc264  Yes         /lib/libXrender.so.1
0x425d7470  0x4262e7f8  Yes         /lib/libgcrypt.so.11
0x4181ff70  0x418304a4  Yes         /lib/libxcb.so.1
0x41bf61b0  0x41c0f434  Yes         /lib/libexpat.so.1
0x4270f6b0  0x4270fce0  Yes         /lib/libgpg-error.so.0
0xb6c25a60  0xb6c2692c  Yes         /lib/libXau.so.6
0xb6113db0  0xb611670c  Yes         /usr/lib/evolution-data-server/calendar-backends/libecalbackendweather.so
0xb593f230  0xb594cd14  Yes         /lib/libgweather-3.so.0
0x4359e430  0x4359f80c  Yes         /lib/libsoup-gnome-2.4.so.1
0xb6109290  0xb610d1a4  Yes         /usr/lib/evolution-data-server/calendar-backends/libecalbackendcontacts.so
0xb5928640  0xb5934664  Yes         /usr/lib/evolution-data-server/calendar-backends/libecalbackendews.so
0xb58ff2c0  0xb5914714  Yes         /usr/lib/evolution-data-server-3.4/libeews-1.2.so.0
0xb595f580  0xb5964474  Yes         /usr/lib/evolution-data-server-3.4/libewsutils.so.0
0xb58ea550  0xb58f24f4  Yes         /usr/lib/evolution-data-server/calendar-backends/libecalbackendfile.so
0xb5956c40  0xb595a2f8  Yes         /lib/libnss_dns.so.2
0xb50cfe80  0xb50dd134  Yes         /usr/lib/gio/modules/libgiognutls.so
0xb50a5e40  0xb50af5b4  Yes         /lib/libp11-kit.so.0
0xb464ec50  0xb46db124  Yes         /lib/libgnutls.so.26
0x42e49300  0x42e551b4  Yes         /lib/libtasn1.so.3
0xb50baa70  0xb50c5074  Yes         /usr/lib/pkcs11/gnome-keyring-pkcs11.so
$1 = 0x0
$2 = 0x0
eax            0xb5934b07	-1248638201
ecx            0x0	0
edx            0x0	0
ebx            0xb5937ff4	-1248624652
esp            0xbf8dc0d0	0xbf8dc0d0
ebp            0xb4f29d50	0xb4f29d50
esi            0xb4f29f38	-1259167944
edi            0xb59347c2	-1248639038
eip            0xb592cc8e	0xb592cc8e <ews_cal_modify_object_cb+398>
eflags         0x210246	[ PF ZF IF RF ID ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function ews_cal_modify_object_cb:
   0xb592cb00 <+0>:	push   %ebp
   0xb592cb01 <+1>:	push   %edi
   0xb592cb02 <+2>:	push   %esi
   0xb592cb03 <+3>:	push   %ebx
   0xb592cb04 <+4>:	call   0xb5928640 <__x86.get_pc_thunk.bx>
   0xb592cb09 <+9>:	add    $0xb4eb,%ebx
   0xb592cb0f <+15>:	lea    -0x5c(%esp),%esp
   0xb592cb13 <+19>:	mov    0x78(%esp),%esi
   0xb592cb17 <+23>:	call   0xb59272a0 <e_ews_connection_get_type@plt>
   0xb592cb1c <+28>:	mov    %eax,0x4(%esp)
   0xb592cb20 <+32>:	mov    0x70(%esp),%eax
   0xb592cb24 <+36>:	mov    %eax,(%esp)
   0xb592cb27 <+39>:	call   0xb5927450 <g_type_check_instance_cast@plt>
   0xb592cb2c <+44>:	mov    (%esi),%ecx
   0xb592cb2e <+46>:	lea    0x48(%esp),%edx
   0xb592cb32 <+50>:	mov    %ecx,0x30(%esp)
   0xb592cb36 <+54>:	movl   $0x0,0x48(%esp)
   0xb592cb3e <+62>:	movl   $0x0,0x4c(%esp)
   0xb592cb46 <+70>:	mov    0x14(%ecx),%ecx
   0xb592cb49 <+73>:	mov    %edx,0xc(%esp)
   0xb592cb4d <+77>:	lea    0x4c(%esp),%edx
   0xb592cb51 <+81>:	mov    %edx,0x8(%esp)
   0xb592cb55 <+85>:	mov    0x74(%esp),%edx
   0xb592cb59 <+89>:	mov    %eax,(%esp)
   0xb592cb5c <+92>:	mov    %edx,0x4(%esp)
   0xb592cb60 <+96>:	mov    %ecx,0x34(%esp)
   0xb592cb64 <+100>:	call   0xb5927940 <e_ews_connection_update_items_finish@plt>
   0xb592cb69 <+105>:	test   %eax,%eax
   0xb592cb6b <+107>:	jne    0xb592cbd8 <ews_cal_modify_object_cb+216>
   0xb592cb6d <+109>:	lea    0x48(%esp),%eax
   0xb592cb71 <+113>:	call   0xb592c600 <convert_error_to_edc_error>
   0xb592cb76 <+118>:	mov    0x10(%esi),%eax
   0xb592cb79 <+121>:	test   %eax,%eax
   0xb592cb7b <+123>:	jne    0xb592cdb8 <ews_cal_modify_object_cb+696>
   0xb592cb81 <+129>:	mov    0x14(%esi),%eax
   0xb592cb84 <+132>:	mov    %eax,(%esp)
   0xb592cb87 <+135>:	call   0xb5927dc0 <g_free@plt>
   0xb592cb8c <+140>:	mov    0x18(%esi),%eax
   0xb592cb8f <+143>:	mov    %eax,(%esp)
   0xb592cb92 <+146>:	call   0xb5927dc0 <g_free@plt>
   0xb592cb97 <+151>:	mov    0x8(%esi),%eax
   0xb592cb9a <+154>:	mov    %eax,(%esp)
   0xb592cb9d <+157>:	call   0xb5928120 <g_object_unref@plt>
   0xb592cba2 <+162>:	mov    0xc(%esi),%eax
   0xb592cba5 <+165>:	mov    %eax,(%esp)
   0xb592cba8 <+168>:	call   0xb5928120 <g_object_unref@plt>
   0xb592cbad <+173>:	mov    (%esi),%eax
   0xb592cbaf <+175>:	mov    %eax,(%esp)
   0xb592cbb2 <+178>:	call   0xb5928120 <g_object_unref@plt>
   0xb592cbb7 <+183>:	mov    0x4(%esi),%eax
   0xb592cbba <+186>:	mov    %eax,(%esp)
   0xb592cbbd <+189>:	call   0xb5928120 <g_object_unref@plt>
   0xb592cbc2 <+194>:	mov    %esi,(%esp)
   0xb592cbc5 <+197>:	call   0xb5927dc0 <g_free@plt>
   0xb592cbca <+202>:	lea    0x5c(%esp),%esp
   0xb592cbce <+206>:	pop    %ebx
   0xb592cbcf <+207>:	pop    %esi
   0xb592cbd0 <+208>:	pop    %edi
   0xb592cbd1 <+209>:	pop    %ebp
   0xb592cbd2 <+210>:	ret    
   0xb592cbd3 <+211>:	nop
   0xb592cbd4 <+212>:	lea    0x0(%esi,%eiz,1),%esi
   0xb592cbd8 <+216>:	mov    0x8(%esi),%eax
   0xb592cbdb <+219>:	mov    %eax,(%esp)
   0xb592cbde <+222>:	call   0xb5927120 <g_object_ref@plt>
   0xb592cbe3 <+227>:	mov    0xc(%esi),%eax
   0xb592cbe6 <+230>:	mov    %eax,(%esp)
   0xb592cbe9 <+233>:	call   0xb5927120 <g_object_ref@plt>
   0xb592cbee <+238>:	mov    0x34(%esp),%ecx
   0xb592cbf2 <+242>:	mov    0x1c(%ecx),%eax
   0xb592cbf5 <+245>:	mov    %eax,(%esp)
   0xb592cbf8 <+248>:	call   0xb5928510 <e_cal_backend_store_freeze_changes@plt>
   0xb592cbfd <+253>:	mov    0x4c(%esp),%eax
   0xb592cc01 <+257>:	mov    (%eax),%eax
   0xb592cc03 <+259>:	mov    %eax,(%esp)
   0xb592cc06 <+262>:	call   0xb5927700 <e_ews_item_get_id@plt>
   0xb592cc0b <+267>:	mov    %eax,0x3c(%esp)
   0xb592cc0f <+271>:	mov    0x8(%esi),%eax
   0xb592cc12 <+274>:	mov    %eax,(%esp)
   0xb592cc15 <+277>:	call   0xb5928620 <e_cal_component_get_icalcomponent@plt>
   0xb592cc1a <+282>:	mov    %eax,(%esp)
   0xb592cc1d <+285>:	movl   $0x59,0x4(%esp)
   0xb592cc25 <+293>:	mov    %eax,%edi
   0xb592cc27 <+295>:	call   0xb5927480 <icalcomponent_get_first_property@plt>
   0xb592cc2c <+300>:	test   %eax,%eax
   0xb592cc2e <+302>:	lea    -0x3832(%ebx),%edx
   0xb592cc34 <+308>:	je     0xb592cdac <ews_cal_modify_object_cb+684>
   0xb592cc3a <+314>:	mov    %esi,0x38(%esp)
   0xb592cc3e <+318>:	mov    %edi,%ebp
   0xb592cc40 <+320>:	mov    %eax,%esi
   0xb592cc42 <+322>:	mov    %edx,%edi
   0xb592cc44 <+324>:	jmp    0xb592cc62 <ews_cal_modify_object_cb+354>
   0xb592cc46 <+326>:	xchg   %ax,%ax
   0xb592cc48 <+328>:	movl   $0x59,0x4(%esp)
   0xb592cc50 <+336>:	mov    %ebp,(%esp)
   0xb592cc53 <+339>:	call   0xb59281a0 <icalcomponent_get_next_property@plt>
   0xb592cc58 <+344>:	test   %eax,%eax
   0xb592cc5a <+346>:	mov    %eax,%esi
   0xb592cc5c <+348>:	je     0xb592cda8 <ews_cal_modify_object_cb+680>
   0xb592cc62 <+354>:	mov    %esi,(%esp)
   0xb592cc65 <+357>:	call   0xb5927c20 <icalproperty_get_x_name@plt>
   0xb592cc6a <+362>:	mov    %eax,(%esp)
   0xb592cc6d <+365>:	mov    %edi,0x4(%esp)
   0xb592cc71 <+369>:	call   0xb59281b0 <g_ascii_strcasecmp@plt>
   0xb592cc76 <+374>:	test   %eax,%eax
   0xb592cc78 <+376>:	jne    0xb592cc48 <ews_cal_modify_object_cb+328>
   0xb592cc7a <+378>:	mov    0x3c(%esp),%edx
   0xb592cc7e <+382>:	mov    %esi,%ebp
   0xb592cc80 <+384>:	lea    -0x34ed(%ebx),%eax
   0xb592cc86 <+390>:	mov    %eax,0x8(%esp)
   0xb592cc8a <+394>:	mov    0x38(%esp),%esi
=> 0xb592cc8e <+398>:	mov    0x4(%edx),%eax
   0xb592cc91 <+401>:	mov    %ebp,(%esp)
   0xb592cc94 <+404>:	mov    %eax,0x4(%esp)
   0xb592cc98 <+408>:	call   0xb5928390 <icalproperty_set_value_from_string@plt>
   0xb592cc9d <+413>:	mov    0x8(%esi),%eax
   0xb592cca0 <+416>:	mov    %eax,(%esp)
   0xb592cca3 <+419>:	call   0xb5927650 <e_cal_component_commit_sequence@plt>
   0xb592cca8 <+424>:	mov    0x8(%esi),%eax
   0xb592ccab <+427>:	mov    %eax,(%esp)
   0xb592ccae <+430>:	call   0xb59278f0 <e_cal_component_get_id@plt>
   0xb592ccb3 <+435>:	mov    %eax,%edi
   0xb592ccb5 <+437>:	mov    0x30(%esp),%ecx
   0xb592ccb9 <+441>:	mov    0x4(%eax),%eax
   0xb592ccbc <+444>:	mov    %eax,0x8(%esp)
   0xb592ccc0 <+448>:	mov    (%edi),%eax
   0xb592ccc2 <+450>:	mov    %eax,0x4(%esp)
   0xb592ccc6 <+454>:	mov    0x14(%ecx),%eax
   0xb592ccc9 <+457>:	mov    0x1c(%eax),%eax
   0xb592cccc <+460>:	mov    %eax,(%esp)
   0xb592cccf <+463>:	call   0xb59279c0 <e_cal_backend_store_remove_component@plt>
   0xb592ccd4 <+468>:	mov    0x8(%esi),%edx
   0xb592ccd7 <+471>:	mov    0x30(%esp),%eax
   0xb592ccdb <+475>:	call   0xb5929a00 <put_component_to_store>
   0xb592cce0 <+480>:	mov    0x10(%esi),%edx
   0xb592cce3 <+483>:	test   %edx,%edx
   0xb592cce5 <+485>:	jne    0xb592cde8 <ews_cal_modify_object_cb+744>
   0xb592cceb <+491>:	mov    0x48(%esp),%eax
   0xb592ccef <+495>:	test   %eax,%eax
   0xb592ccf1 <+497>:	je     0xb592ce59 <ews_cal_modify_object_cb+857>
   0xb592ccf7 <+503>:	mov    0x8(%eax),%eax
   0xb592ccfa <+506>:	movl   $0x10,0x4(%esp)
   0xb592cd02 <+514>:	mov    %eax,0xc(%esp)
   0xb592cd06 <+518>:	movl   $0x0,(%esp)
   0xb592cd0d <+525>:	lea    -0x34ea(%ebx),%eax
   0xb592cd13 <+531>:	mov    %eax,0x8(%esp)
   0xb592cd17 <+535>:	call   0xb5927560 <g_log@plt>
   0xb592cd1c <+540>:	lea    0x48(%esp),%edx
   0xb592cd20 <+544>:	mov    %edx,(%esp)
   0xb592cd23 <+547>:	call   0xb5928010 <g_clear_error@plt>
   0xb592cd28 <+552>:	mov    0x34(%esp),%edx
   0xb592cd2c <+556>:	add    $0x24,%edx
   0xb592cd2f <+559>:	mov    %edx,(%esp)
   0xb592cd32 <+562>:	mov    %edx,0x28(%esp)
   0xb592cd36 <+566>:	call   0xb5927b70 <g_static_rec_mutex_lock@plt>
   0xb592cd3b <+571>:	mov    0x8(%esi),%eax
   0xb592cd3e <+574>:	mov    %eax,(%esp)
   0xb592cd41 <+577>:	call   0xb5927120 <g_object_ref@plt>
   0xb592cd46 <+582>:	mov    %eax,%ecx
   0xb592cd48 <+584>:	mov    0x14(%esi),%eax
   0xb592cd4b <+587>:	mov    %eax,(%esp)
   0xb592cd4e <+590>:	mov    %ecx,0x2c(%esp)
   0xb592cd52 <+594>:	call   0xb59277c0 <g_strdup@plt>
   0xb592cd57 <+599>:	mov    0x2c(%esp),%ecx
   0xb592cd5b <+603>:	mov    %eax,0x4(%esp)
   0xb592cd5f <+607>:	mov    %ecx,0x8(%esp)
   0xb592cd63 <+611>:	mov    0x34(%esp),%ecx
   0xb592cd67 <+615>:	mov    0x58(%ecx),%eax
   0xb592cd6a <+618>:	mov    %eax,(%esp)
   0xb592cd6d <+621>:	call   0xb5927e70 <g_hash_table_replace@plt>
   0xb592cd72 <+626>:	mov    0x28(%esp),%edx
   0xb592cd76 <+630>:	mov    %edx,(%esp)
   0xb592cd79 <+633>:	call   0xb59280a0 <g_static_rec_mutex_unlock@plt>
   0xb592cd7e <+638>:	mov    0x34(%esp),%ecx
   0xb592cd82 <+642>:	mov    0x1c(%ecx),%eax
   0xb592cd85 <+645>:	mov    %eax,(%esp)
   0xb592cd88 <+648>:	call   0xb5927600 <e_cal_backend_store_thaw_changes@plt>
   0xb592cd8d <+653>:	mov    %ebp,(%esp)
   0xb592cd90 <+656>:	call   0xb5927680 <icalproperty_free@plt>
   0xb592cd95 <+661>:	mov    %edi,(%esp)
   0xb592cd98 <+664>:	call   0xb5927cb0 <e_cal_component_free_id@plt>
   0xb592cd9d <+669>:	jmp    0xb592cb81 <ews_cal_modify_object_cb+129>
   0xb592cda2 <+674>:	lea    0x0(%esi),%esi
   0xb592cda8 <+680>:	mov    0x38(%esp),%esi
   0xb592cdac <+684>:	xor    %ebp,%ebp
   0xb592cdae <+686>:	jmp    0xb592cc9d <ews_cal_modify_object_cb+413>
   0xb592cdb3 <+691>:	nop
   0xb592cdb4 <+692>:	lea    0x0(%esi,%eiz,1),%esi
   0xb592cdb8 <+696>:	mov    0x48(%esp),%edx
   0xb592cdbc <+700>:	movl   $0x0,0x10(%esp)
   0xb592cdc4 <+708>:	movl   $0x0,0xc(%esp)
   0xb592cdcc <+716>:	mov    %edx,0x8(%esp)
   0xb592cdd0 <+720>:	mov    %eax,0x4(%esp)
   0xb592cdd4 <+724>:	mov    0x4(%esi),%eax
   0xb592cdd7 <+727>:	mov    %eax,(%esp)
   0xb592cdda <+730>:	call   0xb5928230 <e_data_cal_respond_modify_object@plt>
   0xb592cddf <+735>:	jmp    0xb592cb81 <ews_cal_modify_object_cb+129>
   0xb592cde4 <+740>:	lea    0x0(%esi,%eiz,1),%esi
   0xb592cde8 <+744>:	mov    0x8(%esi),%ecx
   0xb592cdeb <+747>:	mov    0xc(%esi),%edx
   0xb592cdee <+750>:	mov    %edx,0x28(%esp)
   0xb592cdf2 <+754>:	mov    %ecx,0x2c(%esp)
   0xb592cdf6 <+758>:	call   0xb5927fa0 <e_cal_backend_get_type@plt>
   0xb592cdfb <+763>:	mov    %eax,0x4(%esp)
   0xb592cdff <+767>:	mov    0x30(%esp),%eax
   0xb592ce03 <+771>:	mov    %eax,(%esp)
   0xb592ce06 <+774>:	call   0xb5927450 <g_type_check_instance_cast@plt>
   0xb592ce0b <+779>:	mov    0x2c(%esp),%ecx
   0xb592ce0f <+783>:	mov    0x28(%esp),%edx
   0xb592ce13 <+787>:	mov    %ecx,0x8(%esp)
   0xb592ce17 <+791>:	mov    %edx,0x4(%esp)
   0xb592ce1b <+795>:	mov    %eax,(%esp)
   0xb592ce1e <+798>:	call   0xb59283b0 <e_cal_backend_notify_component_modified@plt>
   0xb592ce23 <+803>:	lea    0x48(%esp),%eax
   0xb592ce27 <+807>:	call   0xb592c600 <convert_error_to_edc_error>
   0xb592ce2c <+812>:	mov    0x8(%esi),%eax
   0xb592ce2f <+815>:	mov    %eax,0x10(%esp)
   0xb592ce33 <+819>:	mov    0xc(%esi),%eax
   0xb592ce36 <+822>:	mov    %eax,0xc(%esp)
   0xb592ce3a <+826>:	mov    0x48(%esp),%eax
   0xb592ce3e <+830>:	mov    %eax,0x8(%esp)
   0xb592ce42 <+834>:	mov    0x10(%esi),%eax
   0xb592ce45 <+837>:	mov    %eax,0x4(%esp)
   0xb592ce49 <+841>:	mov    0x4(%esi),%eax
   0xb592ce4c <+844>:	mov    %eax,(%esp)
   0xb592ce4f <+847>:	call   0xb5928230 <e_data_cal_respond_modify_object@plt>
   0xb592ce54 <+852>:	jmp    0xb592cd28 <ews_cal_modify_object_cb+552>
   0xb592ce59 <+857>:	mov    (%esi),%eax
   0xb592ce5b <+859>:	mov    %eax,(%esp)
   0xb592ce5e <+862>:	call   0xb5929350 <ews_start_sync>
   0xb592ce63 <+867>:	jmp    0xb592cd28 <ews_cal_modify_object_cb+552>
End of assembler dump.
Comment 6 Milan Crha 2012-07-27 01:49:01 EDT
Thanks for the update. I see from the backtrace that item_id is NULL, thus dereferencing it crashes the calendar factory. It might mean that modification of the item failed. I suppose you also moved deleted meeting event, same as Louis.

Note You need to log in before you can comment on or make changes to this bug.